Skip to main content
GET
/
organization
/
{organizationId}
/
cluster
/
{clusterId}
/
kubeconfig
Get cluster kubeconfig
curl --request GET \
  --url https://api.qovery.com/organization/{organizationId}/cluster/{clusterId}/kubeconfig \
  --header 'Authorization: Bearer <token>'
"<string>"

Documentation Index

Fetch the complete documentation index at: https://qovery-update-mcp-query.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

organizationId
string<uuid>
required

Organization ID

clusterId
string<uuid>
required

Cluster ID

Query Parameters

with_token_from_cli
boolean

If true, the user auth part will have an exec command with qovery cli

Response

Get kubeconfig of the cluster

The response is of type string.